#include "stm32f10x.h"
#include "../Include/Nucleo.h"
#include "GPIO.h"

void ConfigHorloge(void) { // Peut-être redondant ??
RCC->APB2ENR |= (0x01 << 2) | (0x01 << 3) | (0x01 << 4) | RCC_APB2ENR_IOPCEN | RCC_APB2ENR_TIM1EN;
};

void ConfigBroche(void){ //
	//Mettre Broche 5 GPIOA à output push-pull
	ConfigureGPIO(GPIOA, 5, 4, Push-Pull);
    // Equivaut à :
	//GPIOA ->CRL &= ~(0x1 << (5*4 + 2)); //0x44144444;
	//GPIOA ->CRL |= (0x1 << 5*4); //0x44144444;
	
	//Mettre broche 8 sur GPIOA à output open drain
    ConfigureGPIO(GPIOA, 8, 4, Open-Drain);
    // Equivaut à :
    //GPIOA ->CRH |= (0x1 ); 
};

int BoutonAppuye(void){ // Peut être modifié avec ChercherEtat
  ChercherEtat(GPIOA, 9);
  // Equivaut à
  //return((GPIOA -> IDR & (0x01 << 9)));
}
void AllumerLED(void){
  SetBroche(GPIOA, 8);
  // Equivaut à :
  //GPIOA -> ODR &= ~(0x1 << 8); // Peut être modifié avec SetBroche
}
void EteindreLED(void){
  ResetBroche(GPIOA, 8);
  // Equivaut à :
  //GPIOA -> ODR |=  (0x1 << 8); // Peut être modifié avec ResetBroche
}

